1. Operating systems (Linux x86-64)
    • RedHat Enterprise Linux (RHEL), CentOS, Ubuntu, Debian,…
  2. Memory requirementRAM:
    • up to 2GB
    • If you are using a system with less than 2GB of RAM, we recommend you create a swap file; otherwise, your upgrade might fail.
  3. Composer (latest stable version)
    • The composer is required for developers who wish to contribute to the Magento 2 codebase or anyone who wishes to develop Magento extensions.
  4. Web servers
    • Apache 2.2 or 2.4
    • nginx 1.x
  5. Database
    • MySQL 5.6
    • MySQL 5.7
  6. PHP
    • PHP 7.0.2, 7.0.4, 7.0.6 , 7.0.x, 7.1.x
  7. Required PHP extensions
  8. PHP OPcache
    • We strongly recommend you verify that PHP OPcache is enabled for performance reasons.
  9. PHP settings
    • We recommend particular PHP configuration settings, such as memory_limit, that can avoid common problems when using Magento
  10. SSL
    • A valid security certificate is required for HTTPS.
    • Self-signed SSL certificates are not supported.
    • Transport Layer Security (TLS) requirement – PayPal and repo.magento.com both require TLS 1.1 or later

For more information, please access to @System Requirement.